<template>
  <div>
    <button v-on:click="emitMsg">Emit event</button>
  </div>
  <br />
  <div>
    Nasumično generirani broj: {{ randomNumber }}
    <button v-on:click="randomNumberGenerator">Novi broj!</button>
  </div>
</template>

<script>
export default {
  name: "RandomNumber",
  data() {
    return {
      randomNumber: 26,
    };
  },
  emits: ["printText"],
  methods: {
    emitMsg() {
      this.$emit("printText", "RandomNumber komponente !");
    },
    randomNumberGenerator() {
      this.randomNumber = Math.floor(Math.random() * (100 - 1 + 1)) + 1;
    },
  },
};
</script>